# ApplicationFramework
TKLCAF
TNaming

# TNaming_DataMapOfShapeShapesSet Class Reference

`#include <TNaming_DataMapOfShapeShapesSet.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_DataMapOfShapeShapesSet (const Standard_Integer NbBuckets=1)
Standard_EXPORT TNaming_DataMapOfShapeShapesSet & | Assign (const TNaming_DataMapOfShapeShapesSet &Other)
TNaming_DataMapOfShapeShapesSet & | operator= (const TNaming_DataMapOfShapeShapesSet &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TNaming_DataMapOfShapeShapesSet ()
Standard_EXPORT Standard_Boolean | Bind (const TopoDS_Shape &K, const TNaming_ShapesSet &I)
Standard_EXPORT Standard_Boolean | IsBound (const TopoDS_Shape &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TopoDS_Shape &K)
Standard_EXPORT const TNaming_ShapesSet & | Find (const TopoDS_Shape &K) const
const TNaming_ShapesSet & | operator() (const TopoDS_Shape &K) const
Standard_EXPORT TNaming_ShapesSet & | ChangeFind (const TopoDS_Shape &K)
TNaming_ShapesSet & | operator() (const TopoDS_Shape &K)

## Private Member Functions

Standard_EXPORT | TNaming_DataMapOfShapeShapesSet (const TNaming_DataMapOfShapeShapesSet &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_DataMapOfShapeShapesSet::TNaming_DataMapOfShapeShapesSet | ( | const Standard_Integer | NbBuckets = `1` | ) |

TNaming_DataMapOfShapeShapesSet::~TNaming_DataMapOfShapeShapesSet | ( |  | ) | `[inline]`

Standard_EXPORT TNaming_DataMapOfShapeShapesSet::TNaming_DataMapOfShapeShapesSet | ( | const TNaming_DataMapOfShapeShapesSet & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TNaming_DataMapOfShapeShapesSet& TNaming_DataMapOfShapeShapesSet::Assign | ( | const TNaming_DataMapOfShapeShapesSet & | Other | ) |

Standard_EXPORT Standard_Boolean TNaming_DataMapOfShapeShapesSet::Bind | ( | const TopoDS_Shape & | K,
|  | const TNaming_ShapesSet & | I
| ) |

Standard_EXPORT TNaming_ShapesSet& TNaming_DataMapOfShapeShapesSet::ChangeFind | ( | const TopoDS_Shape & | K | ) |

Standard_EXPORT void TNaming_DataMapOfShapeShapesSet::Clear | ( |  | ) |

Standard_EXPORT const TNaming_ShapesSet& TNaming_DataMapOfShapeShapesSet::Find | ( | const TopoDS_Shape & | K | ) | const

Standard_EXPORT Standard_Boolean TNaming_DataMapOfShapeShapesSet::IsBound | ( | const TopoDS_Shape & | K | ) | const

void TNaming_DataMapOfShapeShapesSet::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_DataMapOfShapeShapesSet::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_DataMapOfShapeShapesSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TNaming_ShapesSet& TNaming_DataMapOfShapeShapesSet::operator() | ( | const TopoDS_Shape & | K | ) | `[inline]`

const TNaming_ShapesSet& TNaming_DataMapOfShapeShapesSet::operator() | ( | const TopoDS_Shape & | K | ) | const`[inline]`

TNaming_DataMapOfShapeShapesSet& TNaming_DataMapOfShapeShapesSet::operator= | ( | const TNaming_DataMapOfShapeShapesSet & | Other | ) | `[inline]`

Standard_EXPORT void TNaming_DataMapOfShapeShapesSet::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TNaming_DataMapOfShapeShapesSet::UnBind | ( | const TopoDS_Shape & | K | ) |

The documentation for this class was generated from the following file:

- TNaming_DataMapOfShapeShapesSet.hxx